MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025751Open CASCADE[OCCT] OCCT:Codingpublic2015-01-26 11:342015-05-14 15:31
Reporterski 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025751: Eliminate GCC warning -Wunused-but-set-variable in gp_GTrsf2d.cxx for Android build
DescriptionIt is necessary to eliminate GCC warning -Wunused-but-set-variable in file gp_GTrsf2d.cxx:

gp_GTrsf2d.cxx: In member function 'gp_Trsf2d gp_GTrsf2d::Trsf2d() const':
gp_GTrsf2d.cxx:137:17: warning: variable 'value' set but not used [-Wunused-but-set-variable]
   Standard_Real value;
                 ^
Steps To ReproduceFixed. Please check.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0025734closedbugmaster GCC warnings in Android build 
related to 0025389closedbugmaster It is necessary to revise conformity between real transformation and status of gp_TrsfForm 

-  Notes
(0037616)
git (administrator)
2015-02-17 11:56

Branch CR25751 has been created by azn.

SHA-1: ced92a69a58d557e2f61684612db4053a6331c56


Detailed log of new commits:

Author: azn
Date: Tue Feb 17 11:55:48 2015 +0300

    0025751: Eliminate GCC warning -Wunused-but-set-variable in gp_GTrsf2d.cxx for Android build
    
    Exception macros conditions have been fixed.
(0037621)
abv (manager)
2015-02-17 13:53
edited on: 2015-02-17 13:53

Please change orthogonality checks so that they are always enabled, to avoid different behavior in Debug and Release mode (i.e. do not use macros No_Exception, ..._Raise_if). The checks made in gp_GTrsf and gp_GTrsf2d should be similar, I suggest that simple check as used in gp_GTrsf should be done in gp_GTrsf2d, too.

(0037627)
git (administrator)
2015-02-17 15:32

Branch CR25751 has been updated by azn.

SHA-1: f21c862171bbd38a13814a0da0fc31688d83d862


Detailed log of new commits:

Author: azn
Date: Tue Feb 17 15:31:46 2015 +0300

    * 0025751: Eliminate GCC warning -Wunused-but-set-variable in gp_GTrsf2d.cxx for Android build
    
    Exception macros conditions have been fixed (gp_GTrsf2d, gp_GTrsf).

(0038234)
abv (manager)
2015-03-11 08:29

Reviewed, please test
(0038245)
git (administrator)
2015-03-11 12:14

Branch CR25751 has been updated forcibly by inv.

SHA-1: a1781dda6cb27536043e997e022ec4f930d88076
(0038265)
bugmaster (administrator)
2015-03-11 15:35

Testing compilation for Android:

GCC warning -Wunused-but-set-variable in gp_GTrsf2d.cxx for Android build was removed.

http://jenkins-test-03.nnov.opencascade.com:8080/user/inv/my-views/view/Accamulated%20statisticts%20for%20Master%20/job/mnt-master-master_build_occt_android/123/warnings17Result/ [^]
(0038283)
mkv (tester)
2015-03-11 18:41

Dear BugMaster,
Branch CR25751 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: a1781dda6cb27536043e997e022ec4f930d88076

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)

products component :
Linux: 11 (11 on master)
Windows: 4 (4 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 91973627 / 92018954
Total CPU difference: 58574.44999999978 / 58057.23999999997
products component :
Total MEMORY difference: 23049385 / 22969003
Total CPU difference: 14958.439999999988 / 14774.049999999997

Testing on Windows:
occt component :
Total MEMORY difference: 57848879 / 57848620
Total CPU difference: 50671.1875 / 29597.78125
products component :
Total MEMORY difference: 15051575 / 15056700
Total CPU difference: 14948.796875 / 9066.21875

There are no differences in images found by testdiff.
(0038576)
git (administrator)
2015-03-18 13:37

Branch CR25751 has been deleted by inv.

SHA-1: a1781dda6cb27536043e997e022ec4f930d88076

- Related Changesets
occt: master 18ee2939
Timestamp: 2015-03-12 09:42:01
Author: azn
Committer: bugmaster
Details ] Diff ]
0025751: Eliminate GCC warning -Wunused-but-set-variable in gp_GTrsf2d.cxx for Android build

Exception macros conditions have been fixed.
mod - src/gp/gp_GTrsf.cxx Diff ] File ]
mod - src/gp/gp_GTrsf.lxx Diff ] File ]
mod - src/gp/gp_GTrsf2d.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-01-26 11:34 ski New Issue
2015-01-26 11:34 ski Assigned To => abv
2015-01-26 12:40 abv Relationship added related to 0025734
2015-02-14 20:24 abv Assigned To abv => azn
2015-02-14 20:24 abv Status new => assigned
2015-02-17 11:56 git Note Added: 0037616
2015-02-17 11:57 azn Assigned To azn => abv
2015-02-17 11:57 azn Status assigned => resolved
2015-02-17 11:57 azn Steps to Reproduce Updated View Revisions
2015-02-17 13:53 abv Note Added: 0037621
2015-02-17 13:53 abv Assigned To abv => azn
2015-02-17 13:53 abv Status resolved => assigned
2015-02-17 13:53 abv Note Edited: 0037621 View Revisions
2015-02-17 15:32 git Note Added: 0037627
2015-02-17 15:32 azn Assigned To azn => abv
2015-02-17 15:32 azn Status assigned => resolved
2015-03-11 08:29 abv Note Added: 0038234
2015-03-11 08:29 abv Assigned To abv => bugmaster
2015-03-11 08:29 abv Status resolved => reviewed
2015-03-11 12:14 git Note Added: 0038245
2015-03-11 12:42 mkv Assigned To bugmaster => mkv
2015-03-11 15:35 bugmaster Note Added: 0038265
2015-03-11 18:41 mkv Note Added: 0038283
2015-03-11 18:41 mkv Assigned To mkv => bugmaster
2015-03-11 18:41 mkv Status reviewed => tested
2015-03-11 18:42 mkv Test case number => Not needed
2015-03-13 16:52 bugmaster Changeset attached => occt master 18ee2939
2015-03-13 16:52 bugmaster Status tested => verified
2015-03-13 16:52 bugmaster Resolution open => fixed
2015-03-16 20:24 abv Relationship added related to 0025389
2015-03-18 13:37 git Note Added: 0038576
2015-04-10 14:13 bugmaster Target Version => 6.9.0
2015-05-14 15:28 aiv Status verified => closed
2015-05-14 15:31 aiv Fixed in Version => 6.9.0


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker